Bug 990530 - no network-connection and crash after s3-resume with tg3 driver
no network-connection and crash after s3-resume with tg3 driver
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:6d735a861c3150602cee4c738b9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 08:00 EDT by masterf6
Modified: 2013-10-08 12:36 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:36:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (61.68 KB, text/plain)
2013-07-31 08:00 EDT, masterf6
no flags Details

  None (edit)
Description masterf6 2013-07-31 08:00:27 EDT
Additional info:
reporter:       libreport-2.1.5
BUG: soft lockup - CPU#1 stuck for 23s! [dhclient:15711]
Modules linked in: fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables dme1737 hwmon_vid snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm iTCO_wdt iTCO_vendor_support ppdev acpi_cpufreq mperf tg3 joydev tpm_tis coretemp parport_pc snd_page_alloc lpc_ich ptp pps_core kvm_intel serio_raw snd_timer snd soundcore mfd_core parport kvm microcode tpm i2c_i801 tpm_bios uinput i915 i2c_algo_bit drm_kms_helper drm i2c_core video
CPU: 1 PID: 15711 Comm: dhclient Not tainted 3.10.3-300.fc19.x86_64 #1
Hardware name: LENOVO 8810AV3/LENOVO, BIOS 2JKT34AUS 04/17/2007
task: ffff8800bab9f260 ti: ffff8800988dc000 task.ti: ffff8800988dc000
RIP: 0010:[<ffffffff8118dc69>]  [<ffffffff8118dc69>] __mem_cgroup_commit_charge+0x2d9/0x360
RSP: 0000:ffff8800988ddc98  EFLAGS: 00000202
RAX: 5aa55aa55aa55aa5 RBX: ffffea000084db80 RCX: 0000000000000001
RDX: 00000000000000c0 RSI: ffffea0000dfff40 RDI: 000000000037ffd0
RBP: ffff8800988ddce0 R08: 0000000000000000 R09: 00000000000231bd
R10: 0000000000000000 R11: 0000000000000000 R12: ffff8800988ddc68
R13: ffff8800bf30fe80 R14: ffff8800bf63c6c0 R15: ffffea000084db80
FS:  00007fde9bfcd840(0000) GS:ffff8800bf300000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fde967b7000 CR3: 00000000ba123000 CR4: 00000000000007e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Stack:
 0000000000000000 0000000000000001 ffff880037080380 0000000100000001
 ffffea0000dfff40 0000000000000001 ffff880037080380 0000000000000001
 00000000000000d0 ffff8800988ddd20 ffffffff8118f9c4 ffff8800bec23000
Call Trace:
 [<ffffffff8118f9c4>] mem_cgroup_charge_common+0xa4/0x120
 [<ffffffff8119125b>] mem_cgroup_newpage_charge+0x4b/0xb0
 [<ffffffff81157034>] handle_pte_fault+0x724/0xa40
 [<ffffffff81158161>] handle_mm_fault+0x291/0x660
 [<ffffffff8164cda6>] __do_page_fault+0x146/0x510
 [<ffffffff8115eeb5>] ? do_mmap_pgoff+0x305/0x3c0
 [<ffffffff81149db9>] ? vm_mmap_pgoff+0x99/0xc0
 [<ffffffff8164d17e>] do_page_fault+0xe/0x10
 [<ffffffff81649818>] page_fault+0x28/0x30
Code: e2 40 0f 84 6f fe ff ff 41 83 c2 01 89 f1 e9 64 fe ff ff be 3b 0b 00 00 48 c7 c7 f9 24 a0 81 e8 6e e6 ec ff e9 74 fd ff ff f3 90 <49> 8b 06 a8 01 75 f7 e9 4b fd ff ff be 9d 01 00 00 48 c7 c7 62
Comment 1 masterf6 2013-07-31 08:00:35 EDT
Created attachment 781058 [details]
File: dmesg
Comment 2 masterf6 2013-07-31 08:17:02 EDT
After resume from S3-suspend the connection to network failed. Ca. 60 seconds ago the Computer was frozen.

Additional hardware informations about the NIC:

$ dmesg | grep tg:

[   11.885476] tg3.c:v3.132 (May 21, 2013)
[   11.895809] tg3 0000:03:00.0 eth0: Tigon3 [partno(BCM95755) rev a002] (PCI Express) MAC address 00:16:41:36:a7:48
[   11.895815] tg3 0000:03:00.0 eth0: attached PHY is 5755 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
[   11.895818] tg3 0000:03:00.0 eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
[   11.895821] tg3 0000:03:00.0 eth0: dma_rwctrl[76180000] dma_mask[64-bit]
[   22.237424] tg3 0000:03:00.0: irq 45 for MSI/MSI-X
[   26.072138] tg3 0000:03:00.0 p5p1: Link is up at 1000 Mbps, full duplex
[   26.072146] tg3 0000:03:00.0 p5p1: Flow control is on for TX and on for RX

$ sudo lspci -v | grep -i ether -A 15
03:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5755 Gigabit Ethernet PCI Express (rev 02)
	Subsystem: Lenovo Device 1010
	Flags: bus master, fast devsel, latency 0, IRQ 45
	Memory at d0100000 (64-bit, non-prefetchable) [size=64K]
	Expansion ROM at <ignored> [disabled]
	Capabilities: [48] Power Management version 3
	Capabilities: [50] Vital Product Data
	Capabilities: [58] Vendor Specific Information: Len=78 <?>
	Capabilities: [e8] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [d0] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [13c] Virtual Channel
	Capabilities: [160] Device Serial Number 00-16-41-ff-fe-36-a7-48
	Capabilities: [16c] Power Budgeting <?>
	Kernel driver in use: tg3
Comment 3 masterf6 2013-08-03 13:26:01 EDT
Now the connection was estiblished but thunderbird was not starting. After one minute the system was frozen.

I see this problem only after resume a day ago or many hours the computer was gone to s3-suspend.
Comment 4 Josh Boyer 2013-09-18 16:36:16 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 5 Josh Boyer 2013-10-08 12:36:38 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.